Bug 1913289

Summary: Rebase AWS EBS CSI driver for 4.7
Product: OpenShift Container Platform Reporter: Jan Safranek <jsafrane>
Component: StorageAssignee: Jan Safranek <jsafrane>
Storage sub component: Kubernetes External Components QA Contact: Qin Ping <piqin>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: unspecified CC: aos-bugs, chaoyang
Version: 4.7   
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
AWS EBS CSI driver shipped as part of OCP was upgraded to version 0.8.0. The most notable new feature is support for gp3 volume type.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:50:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Safranek 2021-01-06 13:09:04 UTC
Upstream has released v0.8.0 recently and we should ship it in OCP 4.7.

Comment 1 Jan Safranek 2021-01-06 13:12:28 UTC
Upstream changelog: https://github.com/kubernetes-sigs/aws-ebs-csi-driver/blob/master/CHANGELOG-0.x.md
The main change is support for gp3 volumes, which is even default when nothing is set in StorageClass. Our operator creates "gp2-csi" StorageClass with "type: gp2", so users should not see any change.

Comment 3 Qin Ping 2021-01-11 07:49:25 UTC
Did a regression test of aws ebs csi driver, all passed.

Verified with: 4.7.0-0.nightly-2021-01-10-070949

Comment 6 errata-xmlrpc 2021-02-24 15:50:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633